# module SQLite3::Constants::Open

sqlite3_open_v2 flags for SQLite3::Database.new

### Constants

AUTOPROXY

  SQLITE_VERSION_NUMBER>=3007002

CREATE
DELETEONCLOSE
EXCLUSIVE
FULLMUTEX
MAIN_DB
MAIN_JOURNAL
MASTER_JOURNAL
MEMORY

  SQLITE_VERSION_NUMBER>=3007013

NOMUTEX
PRIVATECACHE
READONLY

  symbols = IO.readlines('sqlite3.h').map { |n| /A#defines+(SQLITE_OPEN_w+)s/ =~ n && $1 }.compact pad = symbols.map(&:length).max - 9 symbols.each { |s| printf %Q{ rb_define_const(mSqlite3Open, %-#{pad}s INT2FIX(#{s}));n}, '“' + s + '”,' }

READWRITE
SHAREDCACHE
SUBJOURNAL
TEMP_DB
TEMP_JOURNAL
TRANSIENT_DB
URI

  SQLITE_VERSION_NUMBER>=3007007

WAL